
QGIS Application - Bug report #8433

Repeated Crash - Spatial Query tool

2013-08-08 07:15 AM - Jonathan Moules

Status: Closed

Priority: Severe/Regression

Assignee: Jürgen Fischer

Category: C++ Plugins

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 17202

Description

Reproduce:

1) Add SpatiaLite layer (polygon layer)

2) Add ShapeFile (polygon)

3) Open Vector->Spatial Query Tool

4) Select from shapefile where intersects spatialite

5) Apply

After a few seconds of processing, it crashes

I can't attach the data because the spatiaLite is ~ 250MB

QGIS weekly - a13cdf8 - windows 7 x64

Dump file attached

Associated revisions

Revision 5aa46cbe - 2014-02-10 11:27 AM - Jürgen Fischer

geometry: add some null pointer checks (fixes #8433)

History

#1 - 2013-08-08 07:16 AM - Giovanni Manghi

- Status changed from Open to Feedback

can you link the dataset for download (ex dropbox)?

#2 - 2013-08-08 07:16 AM - Giovanni Manghi

- Priority changed from Normal to High

#3 - 2013-08-08 07:30 AM - Jonathan Moules

- File Compass_logs_-_Copy.7z added

- File 2_Temp_Data.zip added

See attached. I deleted all the non-spatial data from it and compressed it heavily. These are the two files that break it for me.
#4 - 2013-08-08 07:38 AM - Giovanni Manghi

Tested both on Linux and Windows and no crash.

#5 - 2013-08-08 07:52 AM - Rémi Bovard

It worked fine here on W7 latest weekly.

I noticed that the UI freezed at about 35% (step 1/2) and 10 sec after unfreezed and the selection is done. When rerunning the same operation, the process

was fluid without any freeze.

#6 - 2013-08-08 07:53 AM - Jonathan Moules

- File Clipboard03.png added

It's occurring to me that maybe I'm just really /really/ unlucky. :-)

I double checked that deleting the non-spatial data didn't fix it by downloading the data from here and using that. It does still crash for me. See attached.

#7 - 2013-08-08 07:54 AM - Giovanni Manghi

Rémi Bovard wrote:

It worked fine here on W7 latest weekly.

I noticed that the UI freezed at about 35% (step 1/2) and 10 sec after unfreezed and the selection is done. When rerunning the same operation, the

process was fluid without any freeze.

using master/osgeo4w I can't see any freeze as the operation run smoothly until the end.

#8 - 2013-08-08 07:56 AM - Giovanni Manghi

Jonathan Moules wrote:

It's occurring to me that maybe I'm just really /really/ unlucky. :-)

the source of your problems may be something particular in your work environment. You should test all this issue also in another pc (a virtual machine for

example).

#9 - 2013-08-08 07:59 AM - Jonathan Moules

Giovanni Manghi wrote:

Jonathan Moules wrote:

It's occurring to me that maybe I'm just really /really/ unlucky. :-)

2024-04-27 2/6



the source of your problems may be something particular in your work environment. You should test all this issue also in another pc (a virtual

machine for example).

I'm in a work environment. Strictly speaking QGIS isn't even a corporately approved app. I just happen to have dev rights so I can do what I want. Multiple

machines would be even more of a pain.

This is a new machine ( < 2 weeks old) and similarly clean install of the corporate build of windows. Not much I can do about it I'm afraid.

#10 - 2013-08-08 08:01 AM - Giovanni Manghi

Jonathan Moules wrote:

Not much I can do about it I'm afraid.

you should test outside your work environment, so we would be able to know if it is about the program or about the environment :)

#11 - 2013-08-15 03:57 AM - Jonathan Moules

I can confirm that commit:d61cb25 exhibits this problem too.

#12 - 2013-08-15 05:42 PM - Giovanni Manghi

Still not confirmed here on the latest master on both Linux and Windows.

#13 - 2014-01-26 10:37 AM - Giovanni Manghi

- Category set to C++ Plugins

- Status changed from Feedback to Open

- Priority changed from High to Severe/Regression

- Target version set to Future Release - High Priority

Now I can also see the crash in both Linux and Windows using qgis master.

The operation works ok on QGIS 1.8, so it is a regression

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]

QGIS died on signal 11[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

[New Thread 0x7f9f0eb8e700 (LWP 4578)]

[New Thread 0x7f9f14b2f700 (LWP 4577)]

0x00007f9f43ab3ccd in waitpid () from /lib/x86_64-linux-gnu/libc.so.6

[Current thread is 1 (Thread 0x7f9f4b04e7c0 (LWP 4548))]

#0  0x00007f9f43ab3ccd in waitpid () from /lib/x86_64-linux-gnu/libc.so.6

No symbol table info available.

#1  0x0000000000563830 in qgisCrash(int) ()

No symbol table info available.

#2  <signal handler called>
No symbol table info available.

#3  0x00007f9f3d7e7d0e in SpatialIndex::RTree::Index::chooseSubtree(SpatialIndex::Region const&, unsigned int, std::stack<long,

std::deque<long, std::allocator<long> > >&) () from /usr/lib/libspatialindex.so.1

No symbol table info available.

#4  0x00007f9f3d7e7d30 in SpatialIndex::RTree::Index::chooseSubtree(SpatialIndex::Region const&, unsigned int, std::stack<long,

std::deque<long, std::allocator<long> > >&) () from /usr/lib/libspatialindex.so.1

No symbol table info available.

#5  0x00007f9f3d7e7d30 in SpatialIndex::RTree::Index::chooseSubtree(SpatialIndex::Region const&, unsigned int, std::stack<long,

std::deque<long, std::allocator<long> > >&) () from /usr/lib/libspatialindex.so.1

No symbol table info available.

#6  0x00007f9f3d7facaa in SpatialIndex::RTree::RTree::insertData_impl(unsigned int, unsigned char*, SpatialIndex::Region&, long, unsigned int,

unsigned char*) () from /usr/lib/libspatialindex.so.1

No symbol table info available.

#7  0x00007f9f3d7ee68a in SpatialIndex::RTree::Node::insertData(unsigned int, unsigned char*, SpatialIndex::Region&, long, std::stack<long,

std::deque<long, std::allocator<long> > >&, unsigned char*) () from /usr/lib/libspatialindex.so.1

No symbol table info available.

#8  0x00007f9f3d7fb051 in SpatialIndex::RTree::RTree::insertData_impl(unsigned int, unsigned char*, SpatialIndex::Region&, long) () from

/usr/lib/libspatialindex.so.1

No symbol table info available.

#9  0x00007f9f3d7fd5be in SpatialIndex::RTree::RTree::insertData(unsigned int, unsigned char const*, SpatialIndex::IShape const&, long) () from

/usr/lib/libspatialindex.so.1

No symbol table info available.

#10 0x00007f9f47b01de7 in QgsSpatialIndex::insertFeature(QgsFeature&) () from /usr/local/lib/libqgis_core.so.2.1.0

No symbol table info available.

#11 0x00007f9f25d01954 in QgsSpatialQuery::setSpatialIndexReference(QSet<long long>&) () from

/usr/local/lib/qgis/plugins/libspatialqueryplugin.so

No symbol table info available.

#12 0x00007f9f25d0106e in QgsSpatialQuery::runQuery(QSet<long long>&, QSet<long long>&, QSet<long long>&, int, QgsVectorLayer*,

QgsVectorLayer*) () from /usr/local/lib/qgis/plugins/libspatialqueryplugin.so

No symbol table info available.

#13 0x00007f9f25cf324e in QgsSpatialQueryDialog::runQuery() () from /usr/local/lib/qgis/plugins/libspatialqueryplugin.so

No symbol table info available.

#14 0x00007f9f25cf77c9 in QgsSpatialQueryDialog::apply() () from /usr/local/lib/qgis/plugins/libspatialqueryplugin.so

No symbol table info available.

#15 0x00007f9f25cf7ac5 in QgsSpatialQueryDialog::on_bbMain_clicked(QAbstractButton*) () from

/usr/local/lib/qgis/plugins/libspatialqueryplugin.so

No symbol table info available.

#16 0x00007f9f25d03f9d in QgsSpatialQueryDialog::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) () from

/usr/local/lib/qgis/plugins/libspatialqueryplugin.so

No symbol table info available.

#17 0x00007f9f25d0424a in QgsSpatialQueryDialog::qt_metacall(QMetaObject::Call, int, void**) () from

/usr/local/lib/qgis/plugins/libspatialqueryplugin.so

No symbol table info available.

#18 0x00007f9f466ae489 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#19 0x00007f9f45e163bf in QDialogButtonBox::clicked(QAbstractButton*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#20 0x00007f9f45e16464 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#21 0x00007f9f466ae281 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#22 0x00007f9f460accb2 in QAbstractButton::clicked(bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.
#23 0x00007f9f45deaa8e in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#24 0x00007f9f45debdcb in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#25 0x00007f9f45dec03c in QAbstractButton::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#26 0x00007f9f45a6d144 in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#27 0x00007f9f45a1c894 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#28 0x00007f9f45a220bf in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#29 0x00007f9f4787a236 in QgsApplication::notify(QObject*, QEvent*) () from /usr/local/lib/libqgis_core.so.2.1.0

No symbol table info available.

#30 0x00007f9f46699e9c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#31 0x00007f9f45a1d862 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**,

QPointer<QWidget>&, bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#32 0x00007f9f45a9cc35 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#33 0x00007f9f45a9bbee in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#34 0x00007f9f45ac5112 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#35 0x00007f9f42339d13 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#36 0x00007f9f4233a060 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#37 0x00007f9f4233a124 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#38 0x00007f9f466c93bf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#39 0x00007f9f45ac4d9e in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#40 0x00007f9f46698c82 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#41 0x00007f9f46698ed7 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#42 0x00007f9f4669df67 in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#43 0x0000000000566766 in main ()

No symbol table info available.

gdb returned 0

Aborted (core dumped)

#14 - 2014-02-07 05:54 AM - Giovanni Manghi

- Priority changed from Severe/Regression to High
#15 - 2014-02-07 06:06 AM - Giovanni Manghi

- Priority changed from High to Severe/Regression

#16 - 2014-02-10 01:09 AM - Jürgen Fischer

- Assignee set to Jürgen Fischer

#17 - 2014-02-10 02:27 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"5aa46cbeb30144a86d52cf26b7b176f8f523b876".

#18 - 2014-02-10 02:28 AM - Jürgen Fischer

- Status changed from Closed to In Progress

- Target version changed from Future Release - High Priority to Version 2.2

#19 - 2014-02-12 11:56 PM - Jürgen Fischer

- Status changed from In Progress to Closed

- Resolution set to fixed/implemented

Files

qgis-20130808-151215-4120-4948-a13cdf8.7z 4.34 MB 2013-08-08 Jonathan Moules

Compass_logs_-_Copy.7z 2.3 MB 2013-08-08 Jonathan Moules

2_Temp_Data.zip 158 KB 2013-08-08 Jonathan Moules

Clipboard03.png 113 KB 2013-08-08 Jonathan Moules
